<?php

namespace Acme\ParqueBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilder;
use Doctrine\ORM\EntityRepository;

class IndividuosType extends AbstractType
{
    public function buildForm(FormBuilder $builder, array $options)
    {
        $builder
            ->add('plantacion','date',array('format' => 'yyyy-MM-dd'))
            ->add('latitude')
            ->add('longitude')
            ->add('especie','entity',
                      array( 'class' => 'Acme\\ParqueBundle\\Entity\\Especies',
                           'query_builder' => function(EntityRepository $er) {
                               return $er->createQueryBuilder('e')->orderBy('e.nombrecomun', 'ASC');
                           }))
            ->add('foto')
        ;
    }

    public function getName()
    {
        return 'acme_parquebundle_individuostype';
    }
}
